BSON_ITER_KEY_LEN(3)

SYNOPSIS

            uint32_t
            bson_iter_key_len (const bson_iter_t *iter);

PARAMETERS

    •   iter: A bson_iter_t.

DESCRIPTION

Fetches the length of the key for the current element observed by iter. This is a constant time computation, and therefore faster than calling strlen() on a key returned by bson_iter_key().

RETURNS

An integer representing the key length.

SEE ALSO:
        bson_iter_key() to retrieve current key.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc